Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbLoaderElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbLoaderElement

    public class JaxbLoaderElement

extends Object

Java class for loader-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="loader-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="query-ref" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `queryRef`

Constructor Summary
`JaxbLoaderElement()`

Method Summary
`String` | `getQueryRef()` Gets the value of the queryRef property.
`void` | `setQueryRef(String value)` Sets the value of the queryRef property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### queryRef

    protected String queryRef

Constructor Detail

### JaxbLoaderElement

    public JaxbLoaderElement()

Method Detail

### getQueryRef

    public String getQueryRef()

  Gets the value of the queryRef property.

  Returns:
    possible object is `String`

### setQueryRef

    public void setQueryRef(String value)

  Sets the value of the queryRef property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.